Get transcriptions
Retrieves list of transcriptions.
Retrieves list of transcriptions.
Headers
AuthorizationRequiredBearer <SONIOX_API_KEY>Query parameters
limitintegerMaximum number of transcriptions to return.
1000Minimum: 1Maximum: 1000cursorstringPagination cursor for the next page of results.
Response
200
A list of transcriptions.
transcriptionsRequiredarray<object>List of transcriptions.
next_page_cursorstringA pagination token that references the next page of results. When more data is available, this field contains a value to pass in the cursor parameter of a subsequent request. When null, no additional results are available.
Errors
A list of transcriptions.
{
"transcriptions": [
{
"id": "73d4357d-cad2-4338-a60d-ec6f2044f721",
"status": "completed",
"created_at": "2024-11-26T00:00:00Z",
"model": "stt-async-preview",
"audio_url": "https://soniox.com/media/examples/coffee_shop.mp3",
"file_id": null,
"filename": "coffee_shop.mp3",
"language_hints": [
"en",
"fr"
],
"context": "extra context for the transcription",
"audio_duration_ms": 16079,
"error_message": null,
"webhook_url": "https://example.com/webhook",
"webhook_auth_header_name": "Authorization",
"webhook_auth_header_value": "******************",
"webhook_status_code": null,
"client_reference_id": "some_internal_id"
}
],
"next_page_cursor": "cursor_or_null"
}Get transcriptions count GET
Returns the total number of transcriptions, split by request scope.
Delete file DELETE
Permanently deletes specified file. If a transcription that has not started processing yet still references the file, that transcription fails with `file_not_found`, so delete the file only after the transcription reaches `completed` or `error`.